WKSConstructionHeuristicTest Class Reference

`#include <WKSConstructionHeuristicTest.h>`

Inheritance diagram for WKSConstructionHeuristicTest:

## Public Member Functions

| WKSConstructionHeuristicTest (TestSuite *s)
void | setup (void)
void | cleanup (void)
void | testAlgorithm (void)
Public Member Functions inherited from UnitTest
| UnitTest (std::string n, TestSuite *s)
| ~UnitTest (void)
void | run (void)
Public Member Functions inherited from Test
| Test (void)
| Test (const std::string &n)
| Test (const std::string &n, TestSuite *s)
virtual | ~Test (void)
const std::string & | getName (void)
TestSuite * | getSuite (void)

## Private Attributes

BitString * | bs1
BitString * | bs2
BitString * | bs3
CvrStgFile * | f1
CvrStgFile * | f2
CvrStgFile * | f3
Selector * | s1
Selector * | s2
Selector * | s3
Graph * | g1
Graph * | g2
Graph * | g3
WKSConstructionHeuristic * | ch1
WKSConstructionHeuristic * | ch2
WKSConstructionHeuristic * | ch3
Matching * | m1
Matching * | m2
Matching * | m3
Globals | gl1
Globals | gl2
Globals | gl3

## Additional Inherited Members

Protected Member Functions inherited from UnitTest
void | addTestCategory (TestCategory *tc)
void | addTestResult (bool r)
char * | strip_test (char *s)

## Constructor & Destructor Documentation

## WKSConstructionHeuristicTest()

WKSConstructionHeuristicTest::WKSConstructionHeuristicTest | ( | TestSuite * | s | ) |

## Member Function Documentation

## cleanup()

void WKSConstructionHeuristicTest::cleanup | ( | void |  | ) |

virtual

cleanup the unit test - called after run

Reimplemented from UnitTest.

## setup()

void WKSConstructionHeuristicTest::setup | ( | void |  | ) |

virtual

setup the unit test - called before run

UnitTest::setup will (together with UnitTest::cleanup) save and restore the object stored in Globs so they should be called from the corresponding functions in the derived object if the derived unit test manipulates the Globs object.

Reimplemented from UnitTest.

## testAlgorithm()

void WKSConstructionHeuristicTest::testAlgorithm | ( | void |  | ) |

## Member Data Documentation

## bs1

BitString* WKSConstructionHeuristicTest::bs1

private

## bs2

BitString * WKSConstructionHeuristicTest::bs2

private

## bs3

BitString * WKSConstructionHeuristicTest::bs3

private

## ch1

WKSConstructionHeuristic* WKSConstructionHeuristicTest::ch1

private

## ch2

WKSConstructionHeuristic * WKSConstructionHeuristicTest::ch2

private

## ch3

WKSConstructionHeuristic * WKSConstructionHeuristicTest::ch3

private

## f1

CvrStgFile* WKSConstructionHeuristicTest::f1

private

## f2

CvrStgFile * WKSConstructionHeuristicTest::f2

private

## f3

CvrStgFile * WKSConstructionHeuristicTest::f3

private

## g1

Graph* WKSConstructionHeuristicTest::g1

private

## g2

Graph * WKSConstructionHeuristicTest::g2

private

## g3

Graph * WKSConstructionHeuristicTest::g3

private

## gl1

Globals WKSConstructionHeuristicTest::gl1

private

## gl2

Globals WKSConstructionHeuristicTest::gl2

private

## gl3

Globals WKSConstructionHeuristicTest::gl3

private

## m1

Matching* WKSConstructionHeuristicTest::m1

private

## m2

Matching * WKSConstructionHeuristicTest::m2

private

## m3

Matching * WKSConstructionHeuristicTest::m3

private

## s1

Selector* WKSConstructionHeuristicTest::s1

private

## s2

Selector * WKSConstructionHeuristicTest::s2

private

## s3

Selector * WKSConstructionHeuristicTest::s3

private

The documentation for this class was generated from the following files:

- WKSConstructionHeuristicTest.h
- WKSConstructionHeuristicTest.cc